% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/sent_merger.R
\name{sent_merger}
\alias{sent_merger}
\title{Aggregate sentence-level dataset containing sentiment (from sentencizer())}
\usage{
sent_merger(
  df,
  actors_meta = NULL,
  actor_groups = NULL,
  pos_cutoff = NULL,
  neg_cutoff = NULL
)
}
\arguments{
\item{df}{Data frame with actor ids, produced by sentencizer}

\item{actors_meta}{Optional data frame containing actor metadata obtained using elasticizer(index="actors")}

\item{actor_groups}{Optional list of vectors, where each vector contains actor ids to be merged (e.g. merge all left-wing parties)}

\item{pos_cutoff}{Optional value above which sentence-level sentiment scores should be considered "positive"}

\item{neg_cutoff}{Optional value below which sentence-level sentiment scores should be considered "negative"}
}
\value{
When no ids, returns actor-article dataset with individual actors, party aggregations, party-actor aggregations and overall actor sentiment (regardless of specific actors). When ids, returns aggregations for each vector in list
}
\description{
Aggregate sentence-level dataset containing sentiment (from sentencizer())
}
\examples{
sent_merger(df, actors_meta, ids = NULL)
}
